# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetSeriesMember

Function

Returns an indexed member from a Series Object.

Syntax
`
#include <dx/dx.h>
`

Object DXGetSeriesMember(Series s, int n, float *position)

Functional Details

Retrieves the Object specified by the zero-based index `n` from the Series `s`. If `s` has an `n`th member, and `position` is not `NULL`, then the value of that Object's position in the Series will be returned in `*position`.

A Series is intended to represent a single Field sampled across some parameter, such as time or temperature. `position` contains the value of this sampled parameter.

Series members cannot be retrieved by the Series `position` value. They must be retrieved by index value `n`.

Return Value

Returns the `n`th member or returns `NULL` if `n` is out of range. Returns `NULL` and sets an error code.

See Also

`DXGetEnumeratedMember, DXGetMember, DXGetMemberCount, DXNewSeries, DXSetSeriesMember`

"Series Groups".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]